<?xml version="1.0" encoding="UTF-8"?>

<settings xmlns="http://maven.apache.org/SETTINGS/1.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0 http://maven.apache.org/xsd/settings-1.0.0.xsd">

    <profiles>
        <profile>
            <id>ci</id>
            <activation>
                <property>
                    <name>!disableITProfile</name>
                </property>
            </activation>

            <properties>
                <deploy-repo.release.url>$${env.MAVEN_RELEASE_INTERNAL_REPO_URL}</deploy-repo.release.url>
                <deploy-repo.snapshot.url>$${env.MAVEN_SNAPSHOT_INTERNAL_REPO_URL}</deploy-repo.snapshot.url>
            </properties>

            <repositories>
                <repository>
                    <id>squahstest-snapshots</id>
                    <snapshots>
                        <enabled>true</enabled>
                    </snapshots>
                    <releases>
                        <enabled>false</enabled>
                    </releases>
                    <url>$${env.MAVEN_SNAPSHOT_INTERNAL_REPO_URL}</url>
                    <layout>default</layout>
                </repository>
            </repositories>

        </profile>

        <profile>
            <!--
            Defines the release repository as 'maven-public-releases' (ie open, free artifacts).
            This profile supplements the profile 'ci', which also defines the snapshot repo.
            Note that the order is important : If the profile 'public' is defined first and 'ci' second,
            then the artifact will land in the default release repository instead ('maven-releases')

            Also defines the url for public nexus releases.
            -->
            <id>public</id>
            <properties>
                <deploy-repo.release.url>$${env.MAVEN_RELEASE_INTERNAL_REPO_URL}</deploy-repo.release.url>
                <nexus-public.release.url>$${env.MAVEN_RELEASE_PUBLIC_REPO_URL}</nexus-public.release.url>
            </properties>

        </profile>

    </profiles>

    <servers>
        <server>
            <id>our-nexus-mirror</id>
            <username>$${env.MAVEN_INTERNAL_REPO_USERNAME}</username>
            <password>$${env.MAVEN_INTERNAL_REPO_PASSWORD}</password>
            <configuration>
                <httpConfiguration>
                    <all>
                        <usePreemptive>true</usePreemptive>
                    </all>
                </httpConfiguration>
            </configuration>
        </server>

        <server>
            <id>squash-snapshot-deploy-repo</id>
            <username>$${env.MAVEN_INTERNAL_REPO_USERNAME}</username>
            <password>$${env.MAVEN_INTERNAL_REPO_PASSWORD}</password>
            <configuration>
                <httpConfiguration>
                    <all>
                        <usePreemptive>true</usePreemptive>
                    </all>
                </httpConfiguration>
            </configuration>
        </server>

        <server>
            <id>squash-release-deploy-repo</id>
            <username>$${env.MAVEN_INTERNAL_REPO_USERNAME}</username>
            <password>$${env.MAVEN_INTERNAL_REPO_PASSWORD}</password>
            <configuration>
                <httpConfiguration>
                    <all>
                        <usePreemptive>true</usePreemptive>
                    </all>
                </httpConfiguration>
            </configuration>
        </server>

        <server>
            <id>repo-public</id>
            <username>$${env.MAVEN_PUBLIC_REPO_USERNAME}</username>
            <password>$${env.MAVEN_PUBLIC_REPO_PASSWORD}</password>
            <configuration>
                <httpConfiguration>
                    <all>
                        <usePreemptive>true</usePreemptive>
                    </all>
                </httpConfiguration>
            </configuration>
        </server>


    </servers>
    <!-- MORT À L'EFFET POISSON ROUGE ! -->
    <mirrors>
        <mirror>
            <id>our-nexus-mirror</id>
            <url>$${env.MAVEN_MIRROR_INTERNAL_REPO_URL}</url>
            <mirrorOf>*</mirrorOf>
        </mirror>
    </mirrors>
</settings>